Bug 243366 - devel/mill: Update to 0.6.2
Summary: devel/mill: Update to 0.6.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Hiroki Tagato
URL:
Keywords: buildisok, needs-qa
Depends on:
Blocks:
 
Reported: 2020-01-15 06:39 UTC by Jens Grassel
Modified: 2020-04-29 07:17 UTC (History)
1 user (show)

See Also:
freebsd-ports: maintainer-feedback+


Attachments
Update devel/mill to 0.5.9 (837 bytes, patch)
2020-01-15 06:39 UTC, Jens Grassel
no flags Details | Diff
Update devel/mill to 0.6.2 (837 bytes, patch)
2020-04-28 15:11 UTC, Jens Grassel
freebsd-ports: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jens Grassel 2020-01-15 06:39:14 UTC
Created attachment 210749 [details]
Update devel/mill to 0.5.9

Hi,

I've attached a patch to update the devel/mill port to version 0.5.9.

ChangeLog
---------

- fix binary incompatibility issues
- fix examples
- fix links in docs
- update some dependencies

Regards,

Jens
Comment 1 Automation User 2020-01-15 07:10:22 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/109438712
Comment 2 Hiroki Tagato freebsd_committer 2020-04-28 08:25:26 UTC
Hi,

There is a newer version (0.6.2 as of this writing) of devel/mill available at GitHub. Can you update this port to the latest version?
Comment 3 Jens Grassel 2020-04-28 15:11:31 UTC
Created attachment 213888 [details]
Update devel/mill to 0.6.2

Here is a patch to the current version (0.6.2). :-)
Comment 4 Hiroki Tagato freebsd_committer 2020-04-29 05:35:43 UTC
(In reply to Jens Grassel from comment #3)

Thanks for the quick update. I will look into this.
Comment 5 commit-hook freebsd_committer 2020-04-29 07:14:41 UTC
A commit references this bug:

Author: tagattie
Date: Wed Apr 29 07:14:18 UTC 2020
New revision: 533323
URL: https://svnweb.freebsd.org/changeset/ports/533323

Log:
  Update to 0.6.2

  PR:		243366
  Submitted by:	Jens Grassel <freebsd-ports@jan0sch.de> (maintainer)
  Approved by:	ehaupt (mentor)
  Changelog:	https://github.com/lihaoyi/mill#062---2020-04-22

Changes:
  head/devel/mill/Makefile
  head/devel/mill/distinfo
Comment 6 Hiroki Tagato freebsd_committer 2020-04-29 07:17:20 UTC
Committed, thanks!